Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Chmod

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.ExecTask
                  |
                  +--org.apache.tools.ant.taskdefs.ExecuteOn
                        |
                        +--org.apache.tools.ant.taskdefs.Chmod

public class Chmod
extends ExecuteOn

Chmod equivalent for unix-like environments.

Author:
  costin@eng.sun.com, Mariusz Nowostawski (Marni) mnowostawski@infoscience.otago.ac.nz, Stefan Bodewig

Inner classes inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`ExecuteOn.FileDirBoth`

Fields inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`filesets, srcFilePos, type`

Fields inherited from class org.apache.tools.ant.taskdefs.ExecTask
`cmdl, failOnError, newEnvironment`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Chmod()`

Method Summary
`protected void` | `checkConfiguration()` Has the user set all necessary attributes?
`PatternSet.NameEntry` | `createExclude()` add a name entry on the exclude list
`PatternSet.NameEntry` | `createInclude()` add a name entry on the include list
`PatternSet` | `createPatternSet()` add a set of patterns
`protected boolean` | `isValidOs()` Is this the OS the user wanted?
`void` | `setCommand(java.lang.String e)`
`void` | `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
`void` | `setDir(java.io.File src)` The working directory of the process
`void` | `setExcludes(java.lang.String excludes)` Sets the set of exclude patterns.
`void` | `setExecutable(java.lang.String e)` The command to execute.
`void` | `setFile(java.io.File src)`
`void` | `setIncludes(java.lang.String includes)` Sets the set of include patterns.
`void` | `setPerm(java.lang.String perm)`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`addFileset, createSrcfile, getCommandline, getCommandline, getDirs, getFiles, runExec, setParallel, setType`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecTask
`addEnv, createArg, createHandler, createWatchdog, execute, logFlush, prepareExec, setCommand, setFailonerror, setNewenvironment, setOs, setOutput, setTimeout`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Chmod

    public Chmod()

Method Detail

### setFile

    public void setFile(java.io.File src)

### setDir

    public void setDir(java.io.File src)

  Description copied from class: `ExecTask`
  The working directory of the process
  Overrides:
    `setDir` in class `ExecTask`

### setPerm

    public void setPerm(java.lang.String perm)

### createInclude

    public PatternSet.NameEntry createInclude()

  add a name entry on the include list

### createExclude

    public PatternSet.NameEntry createExclude()

  add a name entry on the exclude list

### createPatternSet

    public PatternSet createPatternSet()

  add a set of patterns

### setIncludes

    public void setIncludes(java.lang.String includes)

  Sets the set of include patterns. Patterns may be separated by a comma or a space.
  Parameters:
    `includes` - the string containing the include patterns

### setExcludes

    public void setExcludes(java.lang.String excludes)

  Sets the set of exclude patterns. Patterns may be separated by a comma or a space.
  Parameters:
    `excludes` - the string containing the exclude patterns

### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

  Sets whether default exclusions should be used or not.
  Parameters:
    `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

### checkConfiguration

    protected void checkConfiguration()

  Description copied from class: `ExecTask`
  Has the user set all necessary attributes?
  Overrides:
    `checkConfiguration` in class `ExecuteOn`

### setExecutable

    public void setExecutable(java.lang.String e)

  Description copied from class: `ExecTask`
  The command to execute.
  Overrides:
    `setExecutable` in class `ExecTask`

### setCommand

    public void setCommand(java.lang.String e)

### isValidOs

    protected boolean isValidOs()

  Description copied from class: `ExecTask`
  Is this the OS the user wanted?
  Overrides:
    `isValidOs` in class `ExecTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.